
Redmine - Defect #12359

Version date field regex validation accepts invalid date

2012-11-14 17:23 - Róbert Ágoston

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 2.1.3   

Resolution: Fixed Affected version: 2.1.2

Description

Version date field regexp validation accepts invalid dates like "2012-11-33". Stored value is nil and no validation errors.

I attached a proposed patch that fixes this bug.

Related issues:

Related to Redmine - Defect #9394: Custom date field only validating on regex... Closed 2011-10-09

Associated revisions

Revision 10810 - 2012-11-15 23:43 - Jean-Philippe Lang

Fixed version date validation (#12359).

Revision 10821 - 2012-11-17 09:52 - Jean-Philippe Lang

Merged r10810 from trunk (#12359).

History

#1 - 2012-11-14 19:59 - Etienne Massip

- Category set to Custom fields

Why not try User.current.time_zone.parse(effective_date_before_type_cast)?

#2 - 2012-11-14 20:00 - Etienne Massip

- Category changed from Custom fields to Roadmap

#3 - 2012-11-15 11:04 - Róbert Ágoston

Etienne Massip wrote:

Why not try User.current.time_zone.parse(effective_date_before_type_cast)?

 I just read that "Redmine only supports YYYY-MM-DD format for entering dates".

I read that at #10560#note-2

A similar bug was fixed in r7779 with the same method.

#4 - 2012-11-15 23:43 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.3

- Resolution set to Fixed

Fix committed in r10810 with slight changes, thanks.

#5 - 2012-11-17 09:53 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 2.1-stable.
https://www.redmine.org/issues/10560#note-2
https://www.redmine.org/projects/redmine/repository/svn/revisions/7779
https://www.redmine.org/projects/redmine/repository/svn/revisions/10810
